log.h File Reference
SPA » Support » Log

`spa/support/log.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_log
struct | spa_log_topic
| Identifier for a topic. More...
struct | spa_log_methods

## Macros

#define | SPA_LOG_TOPIC_DEFAULT NULL
| The default log topic. More...
#define | SPA_TYPE_INTERFACE_Log SPA_TYPE_INFO_INTERFACE_BASE "Log"
| The Log interface. More...
#define | SPA_VERSION_LOG 0
| the version of this log. More...
#define | SPA_VERSION_LOG_TOPIC 0
#define | SPA_VERSION_LOG_METHODS 1
#define | SPA_LOG_TOPIC(v, t) (struct spa_log_topic){ .version = v, .topic = (t)}
#define | spa_log_topic_init(l, topic)
#define | spa_log_level_enabled(l, lev) ((l) && (l)->level >= (lev))
#define | spa_log_level_topic_enabled(l, topic, lev)
#define | spa_log_logt(l, lev, topic, ...)
#define | spa_log_logtv(l, lev, topic, ...)
#define | spa_log_log(l, lev, ...) spa_log_logt(l,lev,SPA_LOG_TOPIC_DEFAULT,__VA_ARGS__)
#define | spa_log_logv(l, lev, ...) spa_log_logtv(l,lev,SPA_LOG_TOPIC_DEFAULT,__VA_ARGS__)
#define | spa_log_error(l, ...) spa_log_log(l,SPA_LOG_LEVEL_ERROR,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_warn(l, ...) spa_log_log(l,SPA_LOG_LEVEL_WARN,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_info(l, ...) spa_log_log(l,SPA_LOG_LEVEL_INFO,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_debug(l, ...) spa_log_log(l,SPA_LOG_LEVEL_DEBUG,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_trace(l, ...) spa_log_log(l,SPA_LOG_LEVEL_TRACE,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_logt_error(l, t, ...) spa_log_logt(l,SPA_LOG_LEVEL_ERROR,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_logt_warn(l, t, ...) spa_log_logt(l,SPA_LOG_LEVEL_WARN,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_logt_info(l, t, ...) spa_log_logt(l,SPA_LOG_LEVEL_INFO,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_logt_debug(l, t, ...) spa_log_logt(l,SPA_LOG_LEVEL_DEBUG,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_logt_trace(l, t, ...) spa_log_logt(l,SPA_LOG_LEVEL_TRACE,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_trace_fp(l, ...) spa_log_log(l,SPA_LOG_LEVEL_TRACE,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | SPA_KEY_LOG_LEVEL "log.level"
| keys can be given when initializing the logger handle More...
#define | SPA_KEY_LOG_COLORS "log.colors"
| enable colors in the logger More...
#define | SPA_KEY_LOG_FILE "log.file"
| log to the specified file instead of stderr. More...
#define | SPA_KEY_LOG_TIMESTAMP "log.timestamp"
| log timestamps More...
#define | SPA_KEY_LOG_LINE "log.line"
| log file and line numbers More...
#define | SPA_KEY_LOG_PATTERNS "log.patterns"
| Spa:String:JSON array of [ {"pattern" : level}, ... More...

## Enumerations

enum | spa_log_level { SPA_LOG_LEVEL_NONE = 0 , SPA_LOG_LEVEL_ERROR , SPA_LOG_LEVEL_WARN , SPA_LOG_LEVEL_INFO , SPA_LOG_LEVEL_DEBUG , SPA_LOG_LEVEL_TRACE }

## Detailed Description

`spa/support/log.h`